/* ESTILOS GERAIS */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Inter", serif;
}

body {
  line-height: 1.6;
  color: #333;
}

.destaque {
  font-weight: 800;
}

.destaque2 {
  font-weight: 700;
}

.destaque-amarelo {
  font-weight: 800;
  color: #faea1e;
}

/* ESTILO MENU */
header {
  background: #fff;
  color: #000;
}

.container {
  width: 90%;
  max-width: 1080px;
  margin: 0 auto;
}

.brand {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 77px;
}

.brand img {
  width: 167px;
  height: 44px;
}

nav ul {
  display: flex;
  list-style: none;
  z-index: 999;
}

nav ul li {
  margin-left: 40px;
}

nav ul li a {
  color: #000;
  font-size: 20px;
  font-weight: 300;
  text-decoration: none;
}

nav ul li a:hover {
  color: #0F8DD3; 
  transition: color 0.3s ease, text-decoration 0.3s ease; 
  cursor: pointer;
}

.menu-toggle {
  display: none;
  font-size: 24px;
  background: none;
  border: none;
  cursor: pointer;
  margin-left: auto; 
}

/* Responsividade */
@media (max-width: 768px) {
  nav ul {
    flex-direction: column;
    gap: 15px;
    background-color: #fff;
    position: absolute;
    top: 77px;
    left: 0;
    width: 100%;
    height: 0;
    overflow: hidden;
    transition: height 0.3s ease-in-out;
  }

  nav ul.active {
    height: auto;
    padding: 20px 0;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  }

  .menu-toggle {
    display: block;
    margin-left: auto; 
  }

  .brand img {
    width: 121px;
    height: 30.61px;
  }
}


/* ESTILO SEÇÃO 1 */
.hero {
  text-align: center;
  padding: 50px 20px;
  background: linear-gradient(to bottom, #008D74, #023F88);
}

.hero img {
  width: 100%;
  max-width: 864px;
  max-height: 494px;
  border-radius: 15px;
  margin-top: 59px;
}

.titulo-sec1 {
  font-size: 40px;
  font-weight: 400;
  text-align: center;
  margin-top: 40px;
  margin-bottom: 110px;
}

.texto-sec1 {
  font-size: 17px;
  font-weight: 400;
  line-height: 25.5px;
  text-align: left;
  max-width: 350px;
  margin-bottom: -20px;
}

.text-with-line {
  text-align: center;
  font-family: Arial, sans-serif;
  color: white;
}

.imagem-com-icone {
  position: relative;
  display: inline-block;
}

.imagem-com-icone img {
  display: block;
  width: 100%;
}

.imagem-com-icone .icone-play {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 130px;
  height: 133px;
}

.linha-letras1 {
  align-items: center;
  height: 15px;
  width: 618px;
  background-color: #162861;
  border: 0px;
  margin-top: -24px;
  margin-left: auto;
  margin-right: auto;
}

.linha-letras2 {
  align-items: center;
  height: 15px;
  width: 664px;
  background-color: #162861;
  border: 0px;
  margin-top: -24px;
  margin-left: auto;
  margin-right: auto;
}

/* Responsividade */
@media (max-width: 768px) {
  .hero {
    padding: 20px 0px;
  }

  .hero img {
    width: 100%;
    margin-top: 0px;
  }

  .imagem-com-icone .icone-play {
    width: 49.71px;
    height: 49.71px;
  }

  
  .texto-sec1 {
    margin-bottom: 0px;
  }
}

@media (max-width: 735px){
  .titulo-sec1{
    font-size: 19px;
    line-height: 35px;
    margin-top: 0px;
    margin-bottom: 60px;
  }

  .linha-letras1 {
    max-width: 260px;
    height: 7.36px;
    margin-top: -15px;
  }

  .linha-letras2 {
    max-width: 290px;
    height: 7.36px;
    margin-top: -15px;
  }
}


/* ESTILO SEÇÃO 2 */
.secao2 {
  background-color: #fff;
  padding: 65px 20px;
}

#secao2 {
  scroll-margin-top: 100px;
}

.texto-sec2 {
  text-align: left;
  max-width: 300px;
  font-size: 20px;
  font-weight: 400;
  line-height: 30px;
}

.content img {
  width: 315px;
  height: 299px;
  border-radius: 15px;
}

.image-container {
  position: relative;
}

.content {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 35px;
}

.imagem2 {
  width: 100%;
  margin-left: 280px;
}

.imagem1 {
  position: absolute;
  top: -150px;
  left: 20px;
  width: 100%;
}

/* Responsividade */
@media (max-width: 1070px) {
  .secao2 {
    padding: 65px 20px 460px;
  }
  
  #secao2 {
    scroll-margin-top: 0px;
  }

  .content {
    flex-direction: column; 
    gap: 20px;
  }

  .texto-sec2 {
    margin: 0 auto; 
    max-width: 600px;
  }

  .image-container {
    position: relative; /* Posicionamento das imagens sobrepondo */
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
  }

  .imagem1,
  .imagem2 {
    position: absolute; 
    width: 100%; 
    max-width: 650px;
    height: auto; 
    max-height: 650px;
    margin-left: 0px;
  }

  .imagem1 {
    top: 10px;
    left: -290px;
  }

  .imagem2 {
    top: 90px;
    left: -20px;
  }
}

@media (max-width: 620px){
  .image-container {
    position: relative; 
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
  }

  .imagem1,
  .imagem2 {
    position: absolute; 
    width: 100%; 
    max-width: 172.25px;
    height: auto;
    max-height: 163.51px;
    margin-left: 0px;
  }

  .imagem1 {
    top: 10px;
    left: -150px;
  }

  .imagem2 {
    top: 90px;
    left: -20px;
  }
}

@media (max-width: 619px){
  .secao2 {
    padding: 65px 20px 310px;
  }
}


/* ESTILO SEÇÃO 3 */
.info-card-blue {
  background-color: #0F8DD3;
  width: 100%;
  height: 100%;
  padding: 60px;
}

.titulo-sec3 {
  color: #fff;
  text-align: center;
  font-size: 40px;
  font-weight: 400;
  margin-bottom: 50px;
}

.info-card {
  display: flex;
  align-items: center;
  background-color: #fff;
  border-radius: 15px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  max-width: 866px;
  max-height: 408px;
  width: 100%;
  height: 100%;
  margin: 20px auto;
}

.info-card img {
  width: 417px;
  height: 408px;
}

.image-left {
  width: 150px;
  height: 150px;
  object-fit: cover;
  margin-right: 20px;
}

.text-right {
  flex: 1;
  margin-left: 20px;
  margin-right: 65px;
}

.info-texto {
  font-size: 24px;
  font-weight: 400;
  line-height: 29px;
}

.info-subtitulo {
  font-size: 24px;
  font-weight: 700;
  margin-left: 30px;
}

.linha-letras3 {
  align-items: center;
  height: 15px;
  width: 163.57px;
  background-color: #FFE900;
  border: 0px;
  margin-top: -17px;
}

.info-texto2 {
  font-size: 17px;
  font-weight: 400;
  line-height: 25.5px;
}

.text-right p {
  font-size: 14px;
  color: #555;
}

/* Responsividade */
@media (max-width: 880px) {
  .titulo-sec3 {
    color: #fff;
    text-align: center;
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 0px;
  }

  .info-card-blue {
    padding: 15px;
  }

  .info-card {
    flex-direction: column; 
    max-height: none; 
    max-width: 600px;
  }

  .info-card img {
    width: 100%; 
    height: auto;
    margin: 0px;
  }

  .text-right {
    margin: 20px; 
  }

  .info-texto {
    margin-top: 10px;
  }

  .info-texto2 {
    margin-bottom: 10px;
  }

  .linha-letras3 {
    height: 9px;
  }
}


/* ESTILO SEÇÃO 4 */
.secao4 {
  width: 100%;
  margin-top: 70px;
  margin-bottom: 110px;
}

.sec4-titulo {
  font-size: 35px;
  font-weight: 700;
  margin-bottom: 12px;
}

.linha-azul {
  text-align: left;
  height: 4px;
  width: 148px;
  background-color: #0F8DD3;
  border: 0px;
}

.sec4-texto {
  font-size: 17px;
  font-weight: 400;
  line-height: 25.5px;
  width: 92%;
}

.sec4-subtitulo {
  font-size: 24px;
  font-weight: 700;
  padding: 25px 0px 30px 0px;
}

.text-image-container {
  display: flex;
  justify-content: space-between;
  gap: 35px;
  border-radius: 8px;
  max-width: 870px;
  margin-top: 100px;
  margin-bottom: 130px;
  margin-left: auto;
  margin-right: auto;
}

.text-content {
  flex: 1;
  margin-top: 50px;
}

.text-content p {
  font-size: 16px;
  color: #555;
  line-height: 1.5;
}

.image-content {
  flex-shrink: 0;
}

.image-content img {
  width: 327px;
  height: 327px;
  border-radius: 15px;
  object-fit: cover; 
  object-position: center; 
}

.select-button {
  appearance: none;
  background-color: #EFEFEF;
  border: 0px solid #ccc;
  border-radius: 10px;
  padding: 0 25px;
  font-size: 16px;
  color: #023F88;
  cursor: pointer;
  width: 597px;
  height: 60px;
  text-align: left;
  position: relative;
  font-weight: 700;
  display: flex;
  align-items: center;
  gap: 25px;
  margin-top: 18px;
}

.select-button.open {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

.select-button img {
  width: 30px;
  height: 30px;
  flex-shrink: 0;
}

.select-button::after {
  font-size: 12px;
  position: absolute;
  right: 16px;
  top: 50%;
  transform: translateY(-50%);
  color: #666;
}

.select-button i {
  font-size: 17px;
  color: #023F88;
  position: absolute;
  right: 16px;
  top: 50%;
  transform: translateY(-50%);
}

.select-button:hover {
  background-color: #f9f9f9;
}

.select-button:hover+.hidden-box {
  border-color: #f9f9f9;
}

.select-button:active {
  background-color: #e6e6e6;
}

.select-button.active {
  border-radius: 10px 10px 0 0;
}

.hidden-box {
  display: none; /* Inicialmente oculta o select */
  width: 597px;
  padding: 30px 60px 15px 60px;
  background-color: #fff;
  border: 3px solid #efefef;
  border-radius: 0px 0px 10px 10px;
  font-size: 15px;
  color: #525252;
  font-weight: 400;
  line-height: 15.73px;
}

.hidden-box.show {
  display: block;
}

.hidden-box li {
  margin-bottom: 11px;
}

/* Responsividade */
@media (max-width: 1100px) {
  .secao4{
    padding: 15px;
    margin-bottom: 50px;
    margin-top: -70px;
    margin: auto;
  }
  
  .text-image-container {
    flex-direction: column; 
    gap: 15px;
    margin-top: 40px;
  }

  .image-content {
    order: -1; /* Move a imagem para o topo */
    display: flex;
    justify-content: center;
    width: 100%;
  }

  .image-content img {
    width: 100%; 
    margin: 0 auto; 
    height: auto;
  }

  .text-content {
    margin-top: 20px;
    text-align: center; 
  }

  .sec4-titulo {
    font-size: 20px;
    font-weight: 400;
    line-height: 30px;
    margin-bottom: 20px;
  }

  .sec4-subtitulo {
    font-size: 24px;
    line-height: 29.05px;
    padding: 25px 0px 20px 0px;
    margin-bottom: -18px;
  }

  .linha-azul {
    text-align: center;
    margin: auto;
  }

  .sec4-texto {
    width: 100%;
    line-height: 25.5px;
    padding: 5px;
  }

  .select-button {
    width: 100%;
    max-width: 597px;
    font-size: 15px;
    gap: 15px;
    padding: 0 20px;
    margin: auto;
    margin-top: 12px;
  }

  .select-button img {
    width: 15px;
    height: 15px;
  }

  .hidden-box {
    width: 100%;
    max-width: 597px;
    padding: 30px 5px 15px 25px;
    margin: auto;
  }

  .hidden-box.show {
    text-align: left;
    font-size: 13px;
  }
}

.titulo-sec4 {
  text-align: center;
  line-height: 60px;
  font-size: 40px;
  font-weight: 400;
  margin-bottom: 10px;
}

.linha-amarela {
  height: 4px;
  width: 148.11px;
  background-color: #FFE900;
  border: 0px;
  margin: 0px auto;
}

.card-container {
  display: flex;
  justify-content: center;
  gap: 35px;
  flex-wrap: wrap;
  margin-top: 60px;
}

.card-container {
  display: flex;
  justify-content: center;
  gap: 35px;
  flex-wrap: wrap;
  margin-top: 60px;
}

.card {
  background-color: #fff;
  border-radius: 0px;
  overflow: hidden;
  width: 327.24px;
  text-align: center;
  transition: box-shadow 0.5s ease, height 0.5s ease; /* Transições mais lentas */
}

.card:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Sombra quando o mouse passa por cima */
  height: 80%;
}

.titulo-card2 {
  color: #333333;
  font-size: 12px;
  text-align: left;
  font-weight: 500;
  padding: 26px 0px 0px 16px;
  transition: padding 0.5s ease; /* Transição suave ao padding */
}

.card:hover .titulo-card2 {
  padding: 12px 0px 0px 16px;
}

.card-img {
  width: 100%;
  height: auto;
}

.card-content p {
  color: #161616;
  font-size: 20px;
  text-align: left;
  font-weight: 300;
  padding: 16px;
  line-height: 24px;
}

/* Responsividade */
@media (max-width: 768px) {
  .titulo-sec4 {
    text-align: center;
    line-height: 29px;
    font-size: 24px;
    font-weight: 400;
    margin-bottom: 25px;
    margin-top: -40px;
  }
  
  .card-container {
    flex-direction: column; 
    align-items: center; 
    gap: 40px; 
    margin-top: 40px;
    margin-bottom: 40px;
  }

  .card {
    width: 90%; 
    height: auto;
  }
}


/* ESTILO DO RODAPÉ */
.linha {
  width: 75%;
  margin: 0 auto;
  background-color: #D3DCE5;
  height: 1px;
  border: 0;
}

.footer-space {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 40px;
}

.footer-space p {
  display: flex;
  justify-content: space-between;
  width: 100%;
  max-width: 1000px;
  gap: 30px;
  font-size: 15px;
}

.left {
  flex-grow: 1;
  line-height: 14.4px;
  text-align: center;
}

.right {
  text-align: right;
  display: flex;
  gap: 20px;
  line-height: 14.4px;
}

.privacy,
.terms {
  display: inline-block;
  text-align: center;
}

a {
  text-decoration: none; 
  color: inherit; 
  cursor: default; 
  text-align: center;
}

a:hover {
  color: inherit;
  text-decoration: none; 
}

/* Responsividade */
@media (max-width: 768px) {
  .linha {
    width: 100%;
  }
  .footer-space {
    flex-direction: column; 
    text-align: center; 
    gap: 20px; 
    padding: 20px 14px 20px 14px;
  }

  .footer-space p {
    display: flex;
    flex-direction: column; 
    align-items: center;
    gap: 10px; 
    font-size: 12px;
  }

  .right {
    justify-content: center; 
    gap: 15px; 
  }

  .privacy,
  .terms {
    display: inline-block;
  }
}
